trying to build supercollider 3.9.1 for ubuntu xenial (16.04)

Programming applications for making music on Linux.

Moderators: khz, MattKingUSA

User avatar
chaocrator
Established Member
Posts: 306
Joined: Fri Jun 26, 2015 8:11 pm
Location: Kyiv, Ukraine
Contact:

trying to build supercollider 3.9.1 for ubuntu xenial (16.04)

Postby chaocrator » Mon Mar 12, 2018 12:28 pm

as you might guess, without any success at the moment.

i tried gcc/g++ 4.9, 5, 6, 7, the latter two from this ppa:
https://launchpad.net/~ubuntu-toolchain ... buntu/test

every build stops early on different source files for different compilers, but always with the same error:
invalid conversion from ‘int’ to ‘const void*’


in the same time, builds from the exactly same source and with exactly the same build deps installed on 17.10 and 18.04 are successful.

i guess this happens due to some outdated component(s) in ubuntu 16.04, but since i'm actually not a developer, i don't have a single idea what it might be.

so, any ideas?

thanx in advance.

fundamental
Established Member
Posts: 160
Joined: Thu Nov 07, 2013 1:19 pm

Re: trying to build supercollider 3.9.1 for ubuntu xenial (16.04)

Postby fundamental » Mon Mar 12, 2018 6:09 pm

Sounds like C code being compiled as C++. IIRC -fpermissive should be a viable workaround.
ZynAddSubFX maintainer


Return to “Developer's Section”

Who is online

Users browsing this forum: No registered users and 1 guest